/**
 * 
 */
package dspl.backend;

import dspl.SymbolTable;
import dspl.intermediate.instructions.CCallInstruction;
import dspl.intermediate.instructions.LoopInstruction;

/**
 * Responsbile for processing LoopInstructions
 * @author David
 *
 */
public abstract class LoopInstructionProcessor {
	
	/**
	 * Process the loop instruction
	 * @param inst
	 * @param ip
	 * @param st
	 * @param afg
	 */
	public abstract void ProcessLoopInstruction(LoopInstruction inst, InstructionProcessor ip, SymbolTable st, AssemblyfileGenerator afg); 
	
}
