// $ANTLR : "DSPLAstWalker.g" -> "DSPLAstToIntermediateWalker.java"$
 
	package dspl.frontend;
	
	import dspl.intermediate.*;
	import dspl.intermediate.instructions.*;
	import dspl.intermediate.variable.*;
	import dspl.SymbolTable;
	import antlr.TreeParser;
	import antlr.collections.AST;
	import java.util.*;

public interface DSPLAstToIntermediateWalkerTokenTypes {
	int EOF = 1;
	int NULL_TREE_LOOKAHEAD = 3;
	int NEGATE = 4;
	int DECLS = 5;
	int PROGRAM = 6;
	int LBRACE = 7;
	int RBRACE = 8;
	int LITERAL_string = 9;
	int LITERAL_int = 10;
	int LITERAL_uint = 11;
	int LITERAL_byte = 12;
	int LITERAL_ubyte = 13;
	int LITERAL_float = 14;
	int LITERAL_complex = 15;
	int ID = 16;
	int SEMI = 17;
	int LITERAL_complex_array = 18;
	int LITERAL_int_array = 19;
	int LITERAL_uint_array = 20;
	int LITERAL_byte_array = 21;
	int LITERAL_ubyte_array = 22;
	int LITERAL_float_array = 23;
	int LBRACK = 24;
	int NUM = 25;
	int RBRACK = 26;
	int LITERAL_if = 27;
	int LPAREN = 28;
	int RPAREN = 29;
	int LITERAL_else = 30;
	int LITERAL_while = 31;
	int LITERAL_for = 32;
	int COMMA = 33;
	int LITERAL_ccall = 34;
	int ASSIGN = 35;
	int EQ = 36;
	int NE = 37;
	int LT = 38;
	int LE = 39;
	int GT = 40;
	int GE = 41;
	int PLUS = 42;
	int MINUS = 43;
	int MUL = 44;
	int DIV = 45;
	int REAL = 46;
	int STRING = 47;
	int NEWLINE = 48;
	int DIGITS = 49;
	int TILDE = 50;
	int DOT = 51;
	int WS = 52;
	int COMMENT = 53;
}
